%define name	supertux
%define version 0.3.0
%define rel	2
%define release	%mkrel %rel
%define Summary Classic 2D jump 'n run sidescroller with Tux

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://download.berlios.de/supertux/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		supertux-0.3.0-fix-menu-path.patch
License:	GPL
Group:		Games/Arcade
URL:		http://supertux.berlios.de/
Summary:	%{Summary}
BuildRequires:	jam
BuildRequires:	SDL_mixer-devel SDL_image-devel MesaGLU-devel
BuildRequires:	oggvorbis-devel openal-devel physfs-devel zlib-devel 
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SuperTux is a classic 2D jump 'n run sidescroller game in
a similar style like the original SuperMario games. 

%prep
%setup -q
%patch0 -p1 -b .path

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--disable-debug
jam

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=%{buildroot} jam install
mv %{buildroot}%{_gamesdatadir}/applications %{buildroot}%{_datadir}/
mv %{buildroot}%{_gamesdatadir}/pixmaps %{buildroot}%{_datadir}/
mv %{buildroot}%{_gamesdatadir}/doc %{buildroot}%{_datadir}/
rm %{buildroot}%{_docdir}/%{name}-%{version}/{COPYING,INSTALL}

install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="More Applications/Games/Arcade" \
		  title="SuperTux"\
		  longtitle="%{Summary}"\
		  xdg="true"					
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Game" \
  --add-category="ArcadeGame" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README WHATSNEW.txt
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}*.png
%{_miconsdir}/%{name}*.png
%{_datadir}/applications/supertux.desktop
%{_datadir}/pixmaps/supertux.png
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}




%changelog
* Tue Apr 24 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.0-2mdv2007.1
+ Revision: 17922
- fix path to binary in menu (P0, fixes #30430)

  + Mandriva <devel@mandriva.com>


* Thu Dec 28 2006 Olivier Blin <oblin@mandriva.com> 0.3.0-1mdv2007.0
+ Revision: 102381
- BuildRequires openal-devel
- buildrequires oggvorbis-devel
- buildrequire physfs-devel
- 0.3.0

* Thu Nov 02 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.3-5mdv2007.1
+ Revision: 75959
- add BuildRequires: desktop-file-utils
- Import supertux

* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-4mdv2007.0
- XDG
- Add patch 0 : Fix Build

* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 0.1.3-3mdk
- rebuild for sparc

* Tue Jul 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1.3-2mdk
- fix desktopdir & icondir

* Mon Jul 11 2005 Eskild Hustvedt <eskild@mandriva.org> 0.1.3-1mdk
- New version 0.1.3
- %%mkrel

* Thu Jan 27 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.2-2mdk
- update summary and description

* Fri Aug 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.2-1mdk
- 1.1.2

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.1-2mdk
- rebuild

* Thu May 13 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.1-1mdk
- 0.1.1

* Fri May 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- New release 0.1.0

* Sun May 02 2004 Marcel Pol <mpol@mandrake.org> 0.0.6-3mdk
- new url

* Sun May 02 2004 Marcel Pol <mpol@mandrake.org> 0.0.6-2mdk
- buildrequires

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-1mdk
- 0.0.6
- drop P0

